


export const permissions = {
  install(Vue) {
    const files = import.meta.glob('./modules/*.js');
    for (let fileName in files) {
      let moduleName = fileName.replace(/.\/modules\/(.+)\.js/, "$1");
      let importer = files[fileName];
      importer().then(module => {
        Vue.directive(moduleName, module.default);
      });

    }



  }
}